OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
HasMultiPassIO< LeafNodeType > Struct Template Reference

Metafunction that specifies whether a given leaf node, tree, or grid type requires multiple passes to read and write voxel data. More...

`#include <openvdb/Grid.h>`

## Static Public Attributes
static const bool | value = std::is_base_of<io::MultiPass, LeafNodeType>::value

## Detailed Description

template<typename LeafNodeType>
struct openvdb::v11_0::HasMultiPassIO< LeafNodeType >

Metafunction that specifies whether a given leaf node, tree, or grid type requires multiple passes to read and write voxel data.

Multi-pass I/O allows one to optimize the data layout of leaf nodes for certain access patterns during delayed loading.

See also
  io::MultiPass

## Member Data Documentation

## ◆ value

template<typename LeafNodeType >

const bool value = std::is_base_of<io::MultiPass, LeafNodeType>::value
| static